##
##  jaeger-collector.cfg -- Configuration Flags for jaeger-collector(8)
##

collector.port int                  14267
collector.zipkin.http-port          9411
collector.http-port                 14268
collector.health-check-http-port    14269

collector.num-workers int           50
collector.queue-size int            2000
collector.write-cache-ttl duration  12h0m0s

dependency-storage.data-frequency   24h0m0s
dependency-storage.type             elasticsearch
log-level                           info
runtime-metrics-frequency           1s
span-storage.type                   elasticsearch

es.server-urls                      http://127.0.0.1:9200
#es.username                        jaeger
#es.password                        jaeger
es.max-span-age                     72h0m0s
es.num-replicas                     1
es.num-shards                       5

